! Programa que lê N pares de dois números inteiros positivos e, para cada par de 
! números lidos, imprime o MMC - Mínimo Múltiplo Comum entre eles. 
program calcula_mmc
	implicit none
	integer num1, num2, mmc, N, cont

    write (*, *) "Programa que le N pares de dois numeros inteiros e, para cada par de" 
    write (*, *) "numeros lidos, imprime o MMC - Minimo Multiplo Comum entre eles. " 
    write (*, *) 
    write(*,*) "Informe o valor de N"
    read (*,*) N
    
    do cont = 1, N, 1
        write (*, *) "digite dois inteiros:"
        read  (*, *) num1, num2
        mmc = num1
        do while (mod(mmc, num2)/= 0)
          mmc = mmc + num1
        end do    
        write (*, *) "o mmc eh ", mmc
    end do
    
    stop   
end program calcula_mmc
